| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
MMPServerClient Class Reference
MMProc

`#include <mmpserverclient.h>`

Inheritance diagram for MMPServerClient:
[legend]

## Public Member Functions
| MMPServerClient (const Network::Authority &, int timeout=4000)
| MMPServerClient (PortNr_Type portid, const char *hostnm=nullptr, int timeout=4000)
| ~MMPServerClient ()
uiRetVal | errMsg () const
bool | getServerDataRoot ()
bool | isOK () const
bool | refresh ()
OD::JSON::Object | sendRequest (const char *reqkey, const OD::JSON::Object &reqobj)
BufferString | serverDataRoot () const
BufferString | serverODVer () const
OD::Platform | serverPlatform () const
const Network::Service & | serverService () const
bool | setServerDataRoot (const char *)
void | setTimeout (int timeout)
void | stopServer (bool removelog=false)
bool | validServerDataRoot (const char *)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< MMPServerClient > | errorNotice
Notifier< MMPServerClient > | logFileChg

## Protected Member Functions
bool | checkServer (const Network::Authority &)
| mOD_DisableCopy (MMPServerClient)
OD::JSON::Object | sendRequest (const Network::Authority &, const char *reqkey, const OD::JSON::Object &reqobj)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiRetVal | errmsg_
Network::Service & | mmpservice_
FilePath | svr_drfp_
BufferString | svr_odver_
OD::Platform | svr_platform_
int | timeout_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ MMPServerClient() [1/2]

MMPServerClient::MMPServerClient | ( | PortNr_Type | portid,
|  | const char * | hostnm = nullptr,
|  | int | timeout = 4000 )

## ◆ MMPServerClient() [2/2]

MMPServerClient::MMPServerClient | ( | const Network::Authority & | ,
|  | int | timeout = 4000 )

## ◆ ~MMPServerClient()

MMPServerClient::~MMPServerClient | ( |  | ) |

## Member Function Documentation

## ◆ checkServer()

bool MMPServerClient::checkServer | ( | const Network::Authority & |  | ) |
| protected

## ◆ errMsg()

uiRetVal MMPServerClient::errMsg | ( |  | ) | const
| inline

## ◆ getServerDataRoot()

bool MMPServerClient::getServerDataRoot | ( |  | ) |

## ◆ isOK()

bool MMPServerClient::isOK | ( |  | ) | const

## ◆ mOD_DisableCopy()

MMPServerClient::mOD_DisableCopy | ( | MMPServerClient |  | ) |
| protected

## ◆ refresh()

bool MMPServerClient::refresh | ( |  | ) |

## ◆ sendRequest() [1/2]

OD::JSON::Object MMPServerClient::sendRequest | ( | const char * | reqkey,
|  | const OD::JSON::Object & | reqobj )

## ◆ sendRequest() [2/2]

OD::JSON::Object MMPServerClient::sendRequest | ( | const Network::Authority & | ,
|  | const char * | reqkey,
|  | const OD::JSON::Object & | reqobj )
| protected

## ◆ serverDataRoot()

BufferString MMPServerClient::serverDataRoot | ( |  | ) | const
| inline

## ◆ serverODVer()

BufferString MMPServerClient::serverODVer | ( |  | ) | const
| inline

## ◆ serverPlatform()

OD::Platform MMPServerClient::serverPlatform | ( |  | ) | const
| inline

## ◆ serverService()

const Network::Service & MMPServerClient::serverService | ( |  | ) | const
| inline

## ◆ setServerDataRoot()

bool MMPServerClient::setServerDataRoot | ( | const char * |  | ) |

## ◆ setTimeout()

void MMPServerClient::setTimeout | ( | int | timeout | ) |
| inline

## ◆ stopServer()

void MMPServerClient::stopServer | ( | bool | removelog = false | ) |

## ◆ validServerDataRoot()

bool MMPServerClient::validServerDataRoot | ( | const char * |  | ) |

## Member Data Documentation

## ◆ errmsg_

uiRetVal MMPServerClient::errmsg_
| protected

## ◆ errorNotice

Notifier<MMPServerClient> MMPServerClient::errorNotice

## ◆ logFileChg

Notifier<MMPServerClient> MMPServerClient::logFileChg

## ◆ mmpservice_

Network::Service& MMPServerClient::mmpservice_
| protected

## ◆ svr_drfp_

FilePath MMPServerClient::svr_drfp_
| protected

## ◆ svr_odver_

BufferString MMPServerClient::svr_odver_
| protected

## ◆ svr_platform_

OD::Platform MMPServerClient::svr_platform_
| protected

## ◆ timeout_

int MMPServerClient::timeout_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025